Blogs Directory Error: Invalid Page

I just noticed that our Blogs Directory page displays nothing but an "Invalid Page" error.

With the plugin deactivated, page loads fine with all content. Once activated, the page is blank.

I deactivated the plugin, and added a notice to the page, but the link is http://tripawds.com/blogs/

I have reactivated, and even replaced the plugin files, v.1.2.0.1. Error was first noticed after recent upgrade to WP 4.0. Theme is WPMU Nelo.

Any suggestions are greatly appreciated. Thank you!

  • Michelle Shull

    Hi jcnjr!

    First, the models on your site are adorable. : )

    Second, this is definitely odd, and may well be an issue with the WP4.0 update, but let's try to troubleshoot a few more things first.

    "Invalid Page" is not an error I see all the time, and we have the additional clue that the page title (Sites) is showing up, which wouldn't happen with a 404 page not found.

    Would you mind granting support access? I'm puzzled, and I'd like to take a closer look.

    If this is ok, just grant me temporary admin access to your site by clicking "Grant Access" button in the WPMU DEV Dashboard Settings from the following path and reply on this thread after granting it?

    Admin -> WPMU DEV -> Support -> Support Access Tab

    If you have not installed WPMU DEV Dashboard plugin yet, kindly do that here : https://premium.wpmudev.org/project/wpmu-dev-dashboard/ and then allow access as per the above process.

    Thank you!

  • aristath

    Hello there @jcnjr, I hope you're well today!

    PS: I have searched for related support topics, but all similar reported issues were at least a couple years old.

    That's because the version of Post Indexer and Recent Global Posts Widget that you have on your site are more than 2 years old...
    We no longer support versions that old and the issues you're describing have most probably been fixed in one of the dozen updates since then!

    If you want to use versions of the plugins that are that old, you'll have to also use a version of WordPress from that time! WordPress keeps changing and things keep getting updated all the time so if you use the latest version of WordPress there are bound to be some incompatibilities.

    P.S. I haven't done anything on your site, just took a look but I don't believe there's much we can do until everything is up to date!

    Cheers,
    Ari.

  • jcnjr

    Thanks anyway Ari. We haven't updated the Indexer since I had an extensive support topic here that went on for months and was never resolved. If upgrading that plugin is my only option, I guess it will have to wait. I'm just really perplexed, since the admin that first noticed the Invalid Page issue informs me everything was indeed working after the 4.0 update... :-\

    With that said, I'd like to ask your recommendation for upgrading Post Indexer, and Recent Posts (now Recent Posts Shortcode) from such legacy versions. Is it safe to skip so many versions? Or, should I remove all related db tables and do a fresh install with the new version. If the latter, what tables or related db data need to be cleaned up?

  • Michelle Shull

    Hi there, jcnjr!

    That is a pickle, and I'm sure you're right that it was 4.0 that finally broke things once and for all, but finding out exactly how and why, especially for a plugin we've revamped quite a bit, might be akin to looking for a needle in a haystack.

    I respect your apprehension at the thought of updating. While I'm fairly confident you wouldn't need to strip the whole thing from your database, I can't be as confident that it'll go off without a hitch, either. I'm pretty new, the legacy plugins aren't part of what I have access to, so I'm not sure about the DB table names.

    Good luck!

    Do you have a test site/environment, perhaps?

  • jcnjr

    I'm not sure about the DB table names.

    Could someone else please explain what I need to do to totally remove all Post Indexer related db data and do a fresh install? Thanks!

    Do you have a test site/environment, perhaps?

    Yes, that's where everything broke, so many versions ago. In short, the site ID 1 is not indexing, and something caused Recent Posts template edit to break page layout. After months of troubleshooting and seeking support, I was basically told "good luck" about that too.

  • Tyler Postle

    Hey jcnjr,

    Thanks for getting back to us on this :slight_smile:

    I am going to flag this for one of our SLS staff(coding experts) to take a look at. Then we can get their valuable feedback on the matter.

    Thanks for your patience here. Keep in mind, that SLS have more developer side responsibilities so sometimes their responses can take a bit longer than a normal ticket.

    Have a great rest of your day.

    All the best,
    Tyler

  • Jose

    Hey there @jcnjr,

    Hope you are doing great today :slight_smile:

    I'd like to ask your recommendation for upgrading Post Indexer, and Recent Posts (now Recent Posts Shortcode) from such legacy versions. Is it safe to skip so many versions? Or, should I remove all related db tables and do a fresh install with the new version.

    There is no reason to have issues by skipping versions. The update do not require to be incremental.
    Like with any other update, It is recommended to make a full backup of your site.

    Regarding the DB schema, there are no change between your installed version and the current release.

    Actually, there is only one addition to the DB since version 1, which is the log table. But in any case, the code is taking care of it.

    This shouldn't be necessary, but just in case If you run into issues, you can still try changing in your DB the site option 'post_indexer_installed' to 'no', deactivate the plugin, and re-activate. In this way, the installation process will run again and create any missing table in your DB. (this shouldn't be necessary).

    Please let me know if everything works as expected in your dev environment.

    Cheers!
    Jose

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.